# Fundamentals of Block Development

This section provides an introduction to the most relevant concepts in block development. Use the following links to learn more:

1. **[File structure of a block](https://developer.wordpress.org/block-editor/getting-started/fundamentals/file-structure-of-a-block):** The purpose of each file that composes a block plugin, the relationships between them, and their role in the block output.
1. **[`block.json`](https://developer.wordpress.org/block-editor/getting-started/fundamentals/block-json):** How a block is defined using its `block.json` metadata and some relevant properties of this file (such as `attributes` and `supports`).
1. **[Registration of a block](https://developer.wordpress.org/block-editor/getting-started/fundamentals/registration-of-a-block):** How a block is registered on both the server and in the client.
1. **[Block wrapper](https://developer.wordpress.org/block-editor/getting-started/fundamentals/block-wrapper):** How to apply the proper attributes to the block's markup wrapper.
1. **[The block in the Editor](https://developer.wordpress.org/block-editor/getting-started/fundamentals/block-in-the-editor):** How a block, as a React component, is loaded in the Block Editor and an overview of its structure.
1. **[Markup representation of a block](https://developer.wordpress.org/block-editor/getting-started/fundamentals/markup-representation-block):** How blocks are represented in the database, theme templates, and patterns.
1. **[Static or Dynamic rendering of a block](https://developer.wordpress.org/block-editor/getting-started/fundamentals/static-dynamic-rendering):** How blocks generate their front-end output either dynamically or statically.
1. **[JavaScript in the Block Editor](https://developer.wordpress.org/block-editor/getting-started/fundamentals/javascript-in-the-block-editor):** How to work with modern JavaScript when developing for the Block Editor.
